﻿using System.Collections.ObjectModel;

namespace WpfTestingSample.Model
{
    public class DataItem
    {
        public string ItemName { get; set; }
        public string ItemShortName { get; set; }
        public int ItemType { get; set; }
        public int? Value { get; set; }
    }

    public class DataItemDetails : ObservableCollection<DataItem>
    {
        public DataItemDetails()
        {
            PopulateCollection();
        }

        private void PopulateCollection()
        {
            Clear();
            Add(new DataItem { ItemName = "Testitem01", ItemShortName = "Test01", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem02", ItemShortName = "Test02", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem03", ItemShortName = "Test03", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem04", ItemShortName = "Test04", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem05", ItemShortName = "Test05", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem06", ItemShortName = "Test06", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem07", ItemShortName = "Test07", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem08", ItemShortName = "Test08", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem09", ItemShortName = "Test09", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem10", ItemShortName = "Test10", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem11", ItemShortName = "Test11", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem12", ItemShortName = "Test12", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem13", ItemShortName = "Test13", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem14", ItemShortName = "Test14", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem15", ItemShortName = "Test15", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem16", ItemShortName = "Test16", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem17", ItemShortName = "Test17", ItemType = 2 });
            Add(new DataItem { ItemName = "Testitem18", ItemShortName = "Test18", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem19", ItemShortName = "Test19", ItemType = 1 });
            Add(new DataItem { ItemName = "Testitem20", ItemShortName = "Test20", ItemType = 1 });
        }
    }
}
